pyrex (0.9.9-1ubuntu1) focal; urgency=medium

  * Depend on python2-dev, python2.
  * Bump debhelper compat to v9.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 01:27:58 +0100

pyrex (0.9.9-1build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:40:50 +0000

pyrex (0.9.9-1) unstable; urgency=medium

  * New upstream release (closes: #582561, #610386)
  * Bump debian/compat to 7
  * Acknowledge NMU (Closes: #616980)
  * debian/compat: bump from 5 to 9
  * debian/patches: removed, integrated upstream
  * debian/control: add X-Python-Version, remove dpatch, add dh-python
  * debian/control: bump Standards-Version to 3.9.8, strip trailing space
  * debian/rules: update (closes: #668804, #831938), strip trailing spaces
  * debian/control: add python-dev to depends (closes: #648800)
  * debian/patches/baseexception.patch: add patch from ubuntu, thanks to
    Michael Vogt (closes: #604965)

 -- Paul Brossier <piem@debian.org>  Thu, 01 Sep 2016 12:04:51 +0200

pyrex (0.9.8.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2. (Closes: #616980) 

 -- Andrea Colangelo <warp10@ubuntu.com>  Fri, 28 Jun 2013 17:03:29 +0200

pyrex (0.9.8.5-2) unstable; urgency=low

  * Acknowledge NMU (closes: #519951)
  * Adjust pyrex-mode depends for emacs22 (closes: #485766)
  * Fix Vcs-* fields (closes: #536808)
  * Bump Standards-Version to 3.8.3

 -- Paul Brossier <piem@debian.org>  Tue, 08 Dec 2009 01:11:36 +0100

pyrex (0.9.8.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Prepare for the upcoming Python 2.6 transition; thanks to Evan Broder for
    the report; Closes: #519951
    - debian/control
      + tight b-d on python-all-dev to '(>= 2.5.4-1~)'
    - debian/rules
      + include python.mk
      + pass py_setup_install_args to setup.py install

 -- Sandro Tosi <morph@debian.org>  Wed, 25 Nov 2009 23:28:41 +0100

pyrex (0.9.8.5-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge non-maintainer upload (closes: #483035).
  * Bump Standards-version to 3.8.1
  * Add ${misc:Depends} for debhelper 
  * Complete debian/copyright

 -- Paul Brossier <piem@debian.org>  Thu, 19 Mar 2009 16:11:15 +0100

pyrex (0.9.7.2-0.1) unstable; urgency=high

  * NMU because maintainer is MIA.
  * New upstream release fixing an integer indexing optimisation problem
    (0.9.7.1 and 0.9.7.2 contain this fix only, so this is safe for
    Lenny release) (Closes: #483035).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 29 Aug 2008 03:00:52 +0200

pyrex (0.9.7-1) unstable; urgency=low

  * New upstream release.
  * remove dh_python from debian/rules, add XB-Python-Version
    (closes: #460253)
  * remove auto-mode-alist from debian/pyrex-mode.el (ubuntu #73904)
  * add provide to debian/pyrex-mode.el (ubuntu #73903)
  * debian/control: added Homepage field
  * debian/rules, debian/control: add dpatch
  * debian/patches: add hash patch, thanks to Jakub Wilk (closes: #469735)
  * debian/control: drop Suggests: python-numeric (closes: #478455)
  * debian/python-pyrex.doc-base: switch to section Programming/Pyrex
  * debian/control: added fields Vcs-Browser and Vcs-Hg
  * debian/control: fix typo python -> Python

 -- Paul Brossier <piem@debian.org>  Sun, 11 May 2008 16:19:48 +0200

pyrex (0.9.6.4-1) unstable; urgency=low

  * New upstream release (closes:#406025)
  * Move python-all-dev to Build-Depends since python gets called in
    debian/rules:clean
  * Delete empty usr/lib from python-pyrex
  * Delete blank lines from debian/python-pyrex.doc-base
  * Remove empty binary-arch target
  * Bump Standards-Version to 3.7.3

 -- Paul Brossier <piem@debian.org>  Fri, 11 Jan 2008 11:50:29 +0100

pyrex (0.9.5.1a-1) unstable; urgency=low

  * New upstream release (closes: #411004)
  * Provide only ${python:Provides} (closes: #399937)
  * Drop Conflicts and Replaces against oldstable packages
  * Bumpep Build-depends on debhelper to 5.0.37.2
  * Added debian/pycompat, set to 2
  * Moved DH_COMPAT=5 to debian/compat

 -- Paul Brossier <piem@debian.org>  Sat, 21 Apr 2007 15:16:07 +0200

pyrex (0.9.4.1-2) unstable; urgency=low

  * Correct pyrex-mode emacsen-startup script: load python-mode, not
    python-mode. Add support for .pxi/.pxd extensions (thanks to Lukasz
    Pankowski, closes: #375861). Avoid loading pyrex-mode when package has
    been removed but not purged, do not touch load-path.
  * Move dh_pycentral call right before dh_python.

 -- Paul Brossier <piem@debian.org>  Tue,  4 Jul 2006 15:44:27 +0200

pyrex (0.9.4.1-1) unstable; urgency=low

  * New upstream release
  * Update to new Python policy (closes: #373505)

 -- Paul Brossier <piem@debian.org>  Wed, 14 Jun 2006 18:21:15 +0200

pyrex (0.9.4-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@debian.org>  Thu, 20 Apr 2006 15:54:27 +0200

pyrex (0.9.3.1-2) unstable; urgency=low

  * Add missing gcc 4.0 patch (closes: #343533)
  
 -- Paul Brossier <piem@debian.org>  Mon, 19 Dec 2005 09:01:29 +0000

pyrex (0.9.3.1-1) unstable; urgency=low

  * New upstream release, integrates some of the gcc-4.x changes:
    - adopted changes in Pyrex/Compiler/Nodes.py
    - changed casts from PyObject* to void* in Pyrex/Compiler/Code.py
    - removed Demos/{callback,embed} and Tools as in upstream
    (closes: #328871)
  * Keep a copy of pyrex-mode.el to debian/
  * Added missing emacscen-startup script for pyrex-mode (closes: #337054)

 -- Paul Brossier <piem@debian.org>  Sun, 11 Dec 2005 15:45:59 +0000

pyrex (0.9.3-3) unstable; urgency=low

  * Drop python2.2-pyrex
  * Update copyright file
  * Bump to new Standards-Version

 -- Paul Brossier <piem@debian.org>  Wed, 13 Jul 2005 17:48:17 +0100

pyrex (0.9.3-2) unstable; urgency=low

  * Added python2.4-pyrex (closes: #292257)
  * Patch to get friendlier code for gcc 4.0 (closes: #298084)
     Author is Jeremy Katz, sent to pyrex ML via John (J5) Palmieri
  * Also add additional patch from Martijn Faassen
  * Fix swig_sources function in Pyrex/Distutils for python2.4
  * Correct the email in previous changelog entry 0.9.2.1-4
  * Move pyrexc link to python-pyrex
  * Remove Guenter from the uploaders (thanks for the uploads)

 -- Paul Brossier <piem@debian.org>  Tue, 21 Jun 2005 20:02:11 +0100

pyrex (0.9.3-1) unstable; urgency=low

  * New upstream release
  * Created watch file and pyrex-mode package
  * Removed long unsigned patch (fixed upstream)
  * Removed DH_VERBOSE mode, debug and nostrip opts in rules

 -- Paul Brossier <piem@altern.org>  Thu, 12 Aug 2004 13:08:21 +0200

pyrex (0.9.2.1-4) unstable; urgency=low

  * Fixed python Build-Depends: for amd64 (closes: #255603)

 -- Paul Brossier <piem@altern.org>  Mon, 28 Jun 2004 12:01:14 +0100

pyrex (0.9.2.1-3) unstable; urgency=low

  * Fixed patch (closes: #251572, #255279)
  * Fixed override disparity (now in section python)

 -- Paul Brossier <piem@altern.org>  Mon, 21 Jun 2004 11:31:58 +0100

pyrex (0.9.2.1-2) unstable; urgency=low

  * Really includes a patch for dbus now (closes: #251572)
  * Bump debian-policy to 3.6.1.0

 -- Paul Brossier <piem@altern.org>  Wed, 16 Jun 2004 15:55:44 +0100

pyrex (0.9.2.1-1) unstable; urgency=low

  * New upstream release (closes: #252819)
  * Fixes namespace collision (closes: #233596)
  * Added lamont patch (closes: #249881)
  * Clean *.pyc to allow recompile

 -- Paul Brossier <piem@altern.org>  Wed,  9 Jun 2004 12:16:04 +0100

pyrex (0.9.0-4) unstable; urgency=low

  * Fixed upstream archive (permissions set to -x, removed .DS_Store garbage).
  * Added missing cheesfinder.c as found in 0.7.2 release (closes: #232655).
  * Corrected Makefile* in Demos.
  * Added Tools in doc (enscript and emacs style files)

 -- Paul Brossier <piem@altern.org>  Wed, 18 Feb 2004 03:13:59 +0000

pyrex (0.9.0-3) unstable; urgency=low

  * Fixed debian/rules clean (Gregor Hoffleit)

 -- Paul Brossier <piem@altern.org>  Fri, 30 Jan 2004 01:05:20 +0000

pyrex (0.9.0-2) unstable; urgency=low

  * chmod -x on Pyrex/Compiler/Lexicon.pickle and some other files
  * fixed carriage return Changes.txt and ToDo.txt (s/\r/\r/g)

 -- Paul Brossier <piem@altern.org>  Sat, 10 Jan 2004 17:02:43 +0000

pyrex (0.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Paul Brossier <piem@altern.org>  Sat, 15 Nov 2003 11:51:47 +0000

pyrex (0.8.2-5) unstable; urgency=low

  * Fixed Doc problem in python2.3-pyrex
  * Added 2.2 2.3 diversions for /usr/bin/pyrexc

 -- Paul Brossier <piem@altern.org>  Mon, 22 Sep 2003 19:52:39 +0100

pyrex (0.8.2-4) unstable; urgency=low

  * Added virtual package python-pyrex
  * Added compilation for python2.2
  * Removed dirs file

 -- Paul Brossier <piem@altern.org>  Tue, 16 Sep 2003 02:46:40 +0100

pyrex (0.8.2-3) unstable; urgency=low

  * Fixed compilation warning at postinst in Plex/Transitions.py
  * Header corrected to #!/urs/bin/python2.3 in pyrexc
  * Fixed wrong placement of dh_python in debian/rules
  * Removed Replaces: pyrex in control file
  * Removed redundant Build-Depends-Indep on python
  * Removed obsolete /usr/share/doc/pyrex in dirs

 -- Paul Brossier <piem@altern.org>  Tue, 16 Sep 2003 01:06:09 +0100

pyrex (0.8.2-2) unstable; urgency=low

  * Renamed binary from pyrex to python2.3-pyrex
  * Added Replaces: pyrex
  * Added missing changelog entries
  * Added build dependancie to python2.3-dev
  * Corrected dependancies to use dh_python
  * Updated rules to use distutil and dh_python
  * Removed old prerm to let dh_python handle it
  * Specify manpage in debian/rules

 -- Paul Brossier <piem@altern.org>  Sat, 13 Sep 2003 11:39:51 +0100

pyrex (0.8.2-1) unstable; urgency=low

  * New upstream release
  * Fixed broken distutils
  * Removed obsolote README.Debian
  * Updated maintainer

 -- Paul Brossier <piem@altern.org>  Wed,  3 Sep 2003 12:26:29 +0100

pyrex (0.8.1-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@altern.org>  Mon, 30 Jun 2003 17:05:37 +0100

pyrex (0.7.2-1) unstable; urgency=low

  * New upstream release
  * Renamed my version of setup.py in the Demos directory to setup_all.py

 -- Peter Harris <scav@blueyonder.co.uk>  Thu, 24 Apr 2003 10:03:55 +0100

pyrex (0.7-1) unstable; urgency=low

  * New upstream release

 -- Peter Harris <scav@blueyonder.co.uk>  Thu, 10 Apr 2003 22:28:34 +0100

pyrex (0.6.1-2) unstable; urgency=low

  * Added Makefile.debian in Demos directory, uses python2.2 explicitly.

  * Changed setup.py in demos directory to be an example of a setup.py that
    builds all .pyx files in current directory.

 -- Peter Harris <scav@blueyonder.co.uk>  Wed,  9 Apr 2003 23:01:13 +0100

pyrex (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Peter Harris <scav@blueyonder.co.uk>  Fri,  4 Apr 2003 21:54:54 +0100

pyrex (0.5-1) unstable; urgency=low

  * 0.5-1
    Upstream bug-fix release

  * Initial Release.
    Makefiles in Demos directory changed to refer explicitly to python2.2
    where it is expected to be installed on Debian.

 -- Peter Harris <scav@blueyonder.co.uk>  Fri, 06 Dec 2002 16:30:00 +0000

